## nthash 2.3.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(ntHash)

set(CMAKE_CXX_STANDARD 17)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif ()

set(CMAKE_CXX_FLAGS "-Wall -Wextra")
set(CMAKE_CXX_FLAGS_DEBUG "-g")
set(CMAKE_CXX_FLAGS_RELEASE "-O3")

include_directories(include)
include_directories(vendor/btllib/include)
include_directories(vendor/argparse/include)

file(GLOB SRC_FILES ${PROJECT_SOURCE_DIR}/src/nthash/*.cpp)

add_custom_command(
        OUTPUT ${PROJECT_BINARY_DIR}/btllib/lib/libbtllib.a
        COMMAND ${PROJECT_SOURCE_DIR}/vendor/btllib/compile --prefix ${PROJECT_BINARY_DIR}/btllib
)

add_library(nthash_lib STATIC ${SRC_FILES})
set_target_properties(nthash_lib PROPERTIES OUTPUT_NAME "nthash")

add_executable(nthash main.cpp ${PROJECT_BINARY_DIR}/btllib/lib/libbtllib.a)
target_link_libraries(nthash ${PROJECT_BINARY_DIR}/btllib/lib/libbtllib.a)
target_link_libraries(nthash ${PROJECT_BINARY_DIR}/libnthash.a)

add_executable(nthash_tests ${PROJECT_SOURCE_DIR}/tests/tests.cpp ${PROJECT_BINARY_DIR}/btllib/lib/libbtllib.a)
target_link_libraries(nthash_tests ${PROJECT_BINARY_DIR}/btllib/lib/libbtllib.a)
target_link_libraries(nthash_tests ${PROJECT_BINARY_DIR}/libnthash.a)
enable_testing()
add_test(NAME nthash_tests COMMAND $<TARGET_FILE:nthash_tests>)

## nthash 2.2.0

=== debian/changelog ===
nthash (2.2.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 10 Apr 2021 15:54:43 +0530

nthash (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #985945)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Mar 2021 18:31:06 +0530

=== debian/control ===
Source: nthash
Priority: optional
Section: science
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/nthash
Vcs-Git: https://salsa.debian.org/med-team/nthash.git
Homepage: https://github.com/bcgsc/ntHash
Rules-Requires-Root: no

Package: libnthash-dev
Section: libdevel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Recursive hash function for hashing all possible k-mers in a DNA/RNA sequence
 This is a header-only binary containing the
 necessary files for implementing nthash function.

Package: nthash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Methods to evaluate runtime and uniformity tests for hashing methods
 This contains nttest binary which has options for evaluating
 runtimes and uniformity for different hashing methods.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

execute_before_dh_missing:
	find debian/tmp -type f \( -name LICENSE -o -name ChangeLog \) -delete

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, velvet-tests
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/bcgsc/ntHash/releases .*/archive/refs/tags/v?@ANY_VERSION@\.tar\.gz

## nthash 2.3.0%2Bdfsg

=== debian/changelog ===
nthash (2.3.0+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Run tests with -fopenmp (Closes: #1104877)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 11 May 2025 13:08:01 +0530

nthash (2.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/control: drop unneeded build-dep on libomp-dev; gcc→libgcc-N-dev
    provides omp.h. Closes: #1099504

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Apr 2025 14:19:15 +0200

nthash (2.3.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Fixup Build for arm64 (Closes: #1087552)
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Get rid of copy of argparse.hpp
  * Drop myself from uploaders field

 -- Nilesh Patra <nilesh@debian.org>  Sat, 30 Nov 2024 19:23:38 +0530

nthash (2.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Build-Depends: cmake, libbtllib-dev
  * Update debian/argparse.hpp
  * Remove unused docs featuring compressed JS which can be easily restored
    via simly doxygen call

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2022 08:27:22 +0200

## nthash 2.3.0+dfsg

=== debian/changelog ===
nthash (2.3.0+dfsg-5) unstable; urgency=medium

  * targets-deps.patch: new: fix parallel builds. (Closes: #1105464)
  * d/rules: allow parallel builds.
  * buildflags.patch: new: forward environment flags.
    This is necessary (but not sufficient) to pass all hardening options.
    (Closes: #1119506)
  * d/control: set myself as Uploaders.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * use_debian_packaged_btllib.patch: normalize dep3 header.
  * d/watch: convert to v5 Github template.
  * d/salsa-ci.yml: disable tests on i386.
    The package is missing build dependencies to have a chance to run.

 -- Étienne Mollier <emollier@debian.org>  Fri, 14 Nov 2025 17:50:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Priority: optional
 Section: science
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <nilesh@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Uploaders: Étienne Mollier <emollier@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libbtllib-dev,
+               libargparse-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/nthash
 Vcs-Git: https://salsa.debian.org/med-team/nthash.git
 Homepage: https://github.com/bcgsc/ntHash
-Rules-Requires-Root: no
 
 Package: libnthash-dev
 Section: libdevel
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libbtllib-dev, libargparse-dev
 Description: Recursive hash function for hashing all possible k-mers in a DNA/RNA sequence
  This is a header-only binary containing the
  necessary files for implementing nthash function.

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,11 @@
 %:
 	dh $@
 
+execute_after_dh_clean:
+	rm -rf docs
+
+override_dh_auto_build:
+	dh_auto_build --buildsystem=cmake
+
 execute_before_dh_missing:
 	find debian/tmp -type f \( -name LICENSE -o -name ChangeLog \) -delete

=== debian/watch ===
Version: 5

Template: Github
Owner: bcgsc
Project: ntHash
Dversionmangle: auto
Repacksuffix: +dfsg
